Initialize MCP session
curl --request POST \
--url https://api.interchange.io/mcp/v2/storefront/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'mcp-session-id: <mcp-session-id>' \
--data '
{
"jsonrpc": "2.0",
"id": 1,
"method": "initialize",
"params": {
"protocolVersion": "2024-11-05",
"capabilities": {},
"clientInfo": {
"name": "your-agent",
"version": "1.0"
}
}
}
'import requests
url = "https://api.interchange.io/mcp/v2/storefront/"
payload = {
"jsonrpc": "2.0",
"id": 1,
"method": "initialize",
"params": {
"protocolVersion": "2024-11-05",
"capabilities": {},
"clientInfo": {
"name": "your-agent",
"version": "1.0"
}
}
}
headers = {
"mcp-session-id": "<mcp-session-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'mcp-session-id': '<mcp-session-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
jsonrpc: '2.0',
id: 1,
method: 'initialize',
params: {
protocolVersion: '2024-11-05',
capabilities: {},
clientInfo: {name: 'your-agent', version: '1.0'}
}
})
};
fetch('https://api.interchange.io/mcp/v2/storefront/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"jsonrpc": "2.0",
"id": "<string>",
"result": {
"protocolVersion": "<string>",
"capabilities": {},
"serverInfo": {
"name": "<string>",
"version": "<string>"
}
}
}MCP
Initialize MCP session
Start a new MCP (Model Context Protocol) session. This must be called before using any other MCP tools.
Request Format
Send a JSON-RPC 2.0 request with:
method: “initialize”params.protocolVersion: “2024-11-05”params.capabilities: (empty object)params.clientInfo: Your agent info
Example Request
{
"jsonrpc": "2.0",
"id": 1,
"method": "initialize",
"params": {
"protocolVersion": "2024-11-05",
"capabilities": {},
"clientInfo": { "name": "your-agent", "version": "1.0" }
}
}
Example Response
{
"jsonrpc": "2.0",
"id": 1,
"result": {
"protocolVersion": "2024-11-05",
"capabilities": { "tools": {} },
"serverInfo": { "name": "scope3-storefront-api", "version": "2.0.0" }
}
}
POST
/
Initialize MCP session
curl --request POST \
--url https://api.interchange.io/mcp/v2/storefront/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'mcp-session-id: <mcp-session-id>' \
--data '
{
"jsonrpc": "2.0",
"id": 1,
"method": "initialize",
"params": {
"protocolVersion": "2024-11-05",
"capabilities": {},
"clientInfo": {
"name": "your-agent",
"version": "1.0"
}
}
}
'import requests
url = "https://api.interchange.io/mcp/v2/storefront/"
payload = {
"jsonrpc": "2.0",
"id": 1,
"method": "initialize",
"params": {
"protocolVersion": "2024-11-05",
"capabilities": {},
"clientInfo": {
"name": "your-agent",
"version": "1.0"
}
}
}
headers = {
"mcp-session-id": "<mcp-session-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'mcp-session-id': '<mcp-session-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
jsonrpc: '2.0',
id: 1,
method: 'initialize',
params: {
protocolVersion: '2024-11-05',
capabilities: {},
clientInfo: {name: 'your-agent', version: '1.0'}
}
})
};
fetch('https://api.interchange.io/mcp/v2/storefront/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"jsonrpc": "2.0",
"id": "<string>",
"result": {
"protocolVersion": "<string>",
"capabilities": {},
"serverInfo": {
"name": "<string>",
"version": "<string>"
}
}
}Authorizations
API key or access token
Headers
MCP session identifier. Generate a new UUID for this request.
Body
application/json